/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.HotelServices.model.dao;

import com.HotelServices.model.dto.EmberDTO;
import com.HotelServices.model.dto.ProgramokDTO;
import com.HotelServices.model.dto.SzallodavezetoDTO;
import java.util.LinkedList;

/**
 *
 * @author Sensei
 */
public interface SzallodavezetoDAO extends GenericDAO<SzallodavezetoDTO, Long> {
    public boolean programReg(String nev, String datum, String ido, String vezetonev);
    public boolean programtorol();
    public boolean alkalmazottReg(String felhasznalonev, String jelszo, String jelszoUjra, String nev, int iranyitoszam, String cim, String telszam, String tipus);
    public boolean alkalmazottTorol();
    public LinkedList<ProgramokDTO> listazProgramok();
    public LinkedList<EmberDTO> listazAlkalmazottak();
}